/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumControlvar implements EnumType {

    enum_controlvar_experimentee("enum.controlvar.experimentee"),

    enum_controlvar_redo("enum.controlvar.redo"),

    enum_controlvar_visit("enum.controlvar.visit"),

    enum_controlvar_observation("enum.controlvar.observation"),

    enum_controlvar_login("enum.controlvar.login"),

    enum_controlvar_timestamp("enum.controlvar.timestamp"),

    enum_controlvar_center("enum.controlvar.center");

    private final String literal;

    private EnumControlvar(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_controlvar";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumControlvar lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumControlvar.class, literal);
    }
}
